Anonymous Login
2019-07-24 01:15 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000031OpenClonkEnginepublic2013-11-06 09:53
ReporterIsilkor 
Assigned ToIsilkor 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000031: Distinguish between 0 and "no value"
DescriptionC4Script should get a new value that is used to mark unspecified or undefined values, instead of using an int zero.
TagsScript
Attached Files

-Relationships
+Relationships

-Notes

~0000070

Isilkor (developer)

Last edited: 2009-07-17 02:54

Attached patch introduces a new type "nil" that is convertible to any value the current (any)0 is, but is not equal to any value except itself.

~0000073

Clonkonaut (developer)

Last edited: 2009-07-18 02:31

Clonkonaut's official Seal of Approval granted.

~0000074

Isilkor (developer)

Implemented in changeset c1c542ea4b8c.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-17 02:35 Isilkor New Issue
2009-07-17 02:46 Isilkor Tag Attached: Script
2009-07-17 02:46 Isilkor File Added: C4Aul-nil.patch
2009-07-17 02:47 Isilkor Note Added: 0000070
2009-07-17 02:51 Isilkor File Deleted: C4Aul-nil.patch
2009-07-17 02:52 Isilkor File Added: C4Aul-nil.patch
2009-07-17 02:54 Isilkor Note Edited: 0000070
2009-07-18 02:29 Clonkonaut Note Added: 0000073
2009-07-18 02:31 Clonkonaut Note Edited: 0000073
2009-07-19 22:31 Isilkor Note Added: 0000074
2009-07-19 22:31 Isilkor Status new => resolved
2009-07-19 22:31 Isilkor Fixed in Version => 4.0
2009-07-19 22:31 Isilkor Resolution open => fixed
2009-07-19 22:31 Isilkor Assigned To => Isilkor
2009-10-14 23:10 Isilkor Status resolved => closed
2013-11-06 09:53 Newton Fixed in Version 4.0 => 1.0
2014-02-17 03:32 Newton File Deleted: C4Aul-nil.patch
+Issue History